@font-face {
    font-family: 'Orator Std Medium';
    font-style: normal;
    font-weight: normal;
    src: local('Orator Std Medium'), url('./font/OratorStd.woff') format('woff');
    }

* {
    padding: 0;
    margin: 0;
}

:root {
    --enseigne_color: rgb(194, 165, 165);

    --navbar_color:rgb(38, 38, 38);
    --navbar_background_color:rgb(194, 165, 165);

    --title_color:rgb(214, 214, 214);
    --paragraphe_color:rgb(141, 141, 141);

    --background_color_1:rgb(54,54,54);
    --background_color_0:rgb(38,38,38);
   
    --button_color:rgb(38, 38, 38);
    --button_background_color:rgb(117, 102, 102);
    --button_text_hover_color:rgb(38, 38, 38);

    --subtitle_color: rgb(185, 185, 185);
    --subbitle_little_color:rgb(92, 92, 92);
    --enseigne_color_transparent: rgb(117, 102, 102);

    --footer_background_color:rgb(27, 27, 27);
    --footer_text_color:rgb(95, 80, 80);
  }

body {
    background-color: var(--background_color_0);
}

/* *************************************************************************************************************
                                                    HEADER
************************************************************************************************************* */

#header {
    display: flex;
    justify-content: center;
    /* linear-gradient(rgba(38, 38, 38, 0.5), rgba(38, 38, 38, 0.5)),  */
    background: url(./img/hnet.com-image.webp);
    background-position: 0px -150px;
    background-size: cover;
    height: calc(100vh - 50px);
    width: 100%;
    background-repeat: no-repeat;
    align-items: center;
    display: flex;
    flex-direction: column;
}

.filter{
    z-index: 0;
    height: calc(100vh - 50px);
    width: 100%;
    position: absolute;
    background-color: rgb(38,38,38);
    opacity: 0.6;
}

#header #enseigne #title {
    font-family: 'Orator Std Medium', Arial;
    font-size: 3rem;
    color: var(--enseigne_color);
    padding: 40px 40px;
}

#header #enseigne {
    height: fit-content;
    width: fit-content;
    border: 4px solid var(--enseigne_color);
    position: relative;
    animation: logo 5s 1;
    animation-direction: initial;
    margin-bottom: 90px;
}

#header #enseigne #logo_mobile{
    display:none;
}

#header #social_networks{
    position: absolute;
    display: flex;
    margin-top: 400px;

}

#header #social_networks div{
    margin: 0 40px;
    text-align: center;
    animation: socialnetworks 4s 1;
    animation-direction: initial;
}

#header #social_networks #social_networks_2{
    display: flex;
    flex-direction: row;
    
    margin: 0;
}

#header #social_networks div a{
    text-decoration: none;

}

#header #social_networks img{
    width: 80px;
}

#header #social_networks img:hover{
    width: 85px;
}

#header h5{
    font-size: 1rem;
    font-family: Arial;
    color: var(--enseigne_color);
    font-weight: lighter;
}

@keyframes logo {
    0% {
        opacity: 0;
        ;
        left: -20%;
        top: 0px;
    }
    100% {
        left: 0px;
        top: 0px;
    }
}

@keyframes socialnetworks {
    0% {
        opacity: 0;
        ;
    }
    100% {
        opacity: 1;
    }
}

@media screen and (max-width: 480px) {
    #header {
        height: calc(100vh - 110px);
        background-size: cover;
        background: linear-gradient(rgba(38, 38, 38, 0.5), rgba(38, 38, 38, 0.5)), url(./img/822.jpg);
        width: auto;
        background-size: cover;        
        background-position: -300px;
        justify-content: start;
    }

    .filter{
        height: calc(100vh - 110px);
        width: auto;
    }

    html {
        width: auto;
    }
    #header #enseigne #title {
    display: none;
    }

    #header #enseigne {
        border: none;
        margin-bottom: 20px;
        margin-top: 40px;
    }
    

    #header #enseigne #logo_mobile {
        display: flex;
        width: 300px;
    }

    #header #social_networks{
        margin-top: 250px;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    #header #social_networks #social_networks_2{
        display: flex;
        flex-direction: row;
        width: 100vw;
    }

    #header #social_networks #social_networks_2 div{
        width: 100px;
    }

    #header #social_networks img{
        width: 50px;
        margin-top: 20px;
    }

    #header #social_networks img:hover{
        width: 50px;
    }

    #header #social_networks h5{
        font-size: 0.8rem;
        justify-content: center;
        display: flex;
    }

}

/* *************************************************************************************************************
                                                    NAVBAR
************************************************************************************************************* */

#navbar {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: var(--navbar_background_color);
    height: 50px;
    align-items: center;
    width: 100%;
}

.navbar-fixed {
    position: fixed;
    top: 0;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    z-index: 2;
}

.content-change {
    position: relative;
    top: 50px;
    z-index: 1;
}

#navbar .nav-links {
    display: flex;
    text-decoration: none;
    color: var(--navbar_color);
    font-family: 'Orator Std Medium', Arial;
    height: 50px;
    align-items: center;
    padding: 0 30px;
}

#navbar .nav-links:hover {
    background-color: rgba(255, 255, 255, 0.205);
    transition-duration: 1s;
    animation: nav;
    font-size: 1.03rem;
}

@media screen and (max-width: 480px) {
    #navbar .nav-links {
        font-size: 1rem;
    }

    #navbar {
        height: 110px;
        width: 100vw;
    }

    #navbar .nav-links {
        display: flex;
        text-decoration: none;
        color: var(--navbar_color);
        font-family: 'Orator Std Medium', Arial;
        height: 20px;
        align-items: center;
        padding: 0 30px;
    }
    

    #navbar .nav-links:hover {
        font-size: 1rem;
    }
}

/* *************************************************************************************************************
                                                    SECTION
************************************************************************************************************* */

section h2 {
    font-family: 'Orator Std Medium', Arial;
    font-weight: lighter;
    font-size: 2rem;
    color: var(--title_color);
    text-align: center;
    width: 50%;
    margin: 20px auto;
    padding-top: 55px;
}

section p {
    font-family: Arial;
    font-size: 1rem;
    color: var(--paragraphe_color);
    text-align: justify;
    line-height: 2;
    width: 50%;
    margin: auto;
}

@media screen and (max-width: 480px) {

    section h2,
    section p {
        width: 70%;

    }

    section h2 {
        font-size: 2rem;
        padding-top: 120px;
    }

    section p {
        font-size: 1.1rem;
    }

}


/* *************************************************************************************************************
                                                    COORDONNEES
************************************************************************************************************* */

 section span {
    font-size: 1.2rem;
    color: var(--subtitle_color);
    font-family: Arial;
}

#map {
    width: 50%;
    margin: auto;
    text-align: center;
}

#coord-section {
    padding-bottom: 80px;
}

@media screen and (max-width: 480px) {
    #map {
        width: 100%;
    }
}


/* *************************************************************************************************************
                                                    PRESTATIONS
************************************************************************************************************* */

#presta-section {
    background-color: var(--background_color_1);
    padding-bottom: 60px;

}

.column {
    flex: 25%;
    max-width: 25%;
    padding: 0 4px;
}

#div-price {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

#presta {
    color: var(--title_color);
}

.title-price {
    color: var(--enseigne_color);
    font-family: "Orator Std Medium", Arial;
    font-size: 1.5rem;
    font-weight: lighter;
    padding: 20px 0;
}

.article-price ul {
    padding-left: 50px;
}


.article-price li {
    list-style: none;
    font-family: Arial;
    font-style: 1rem;
    text-align: justify;
    color: var(--paragraphe_color);
}

.prix {
    font-weight: lighter;
    font-size: 1rem;
}

.article-price {
    margin: 40px 40px;
}

.article-price li:hover {
    color: var(--enseigne_color);
    font-size: 1.1rem;
}

.article-price li:hover>span {
    color: var(--enseigne_color_transparent);
    font-size: 1.1rem;
}

@media screen and (max-width: 480px) {
    .column {
        flex: auto;
        max-width: 100%;
        margin: 0 10px;

    }

    .article-price ul{
        padding:0 10px;
    }

    .article-price ul li{
        font-size: 1.1rem;
    }

    .article-price {
        margin: 20px 20px;
    }

    .prix {
        color: var(--subtitle_little_color);
        font-weight: lighter;
        font-size: 1.1rem;
    }

    .article-price li:hover {
        color: var(--enseigne_color);
        font-size: 1.3rem;
    }

    .article-price li:hover>span {
        /* color: rgba(255, 189, 197, 0.356); */
        color: var(--enseigne_color);
        font-size: 1.3rem;
    }

    .title-price {
        font-size: 1.5rem;
        padding: 20px 0;
        text-align:center;
    }
}

/* *************************************************************************************************************
                                                    PRODUITS
************************************************************************************************************* */

#products-section {
    width: 70%;
    margin: auto;
    padding-bottom: 60px;
}

#products-section article {
    display: flex;
    flex-direction: row;
    margin: 30px;
}

#products-section article img {
    width: 500px;
    height: auto;
}

#products-section article div {
    width: 100%;
    display: flex;
    flex-direction: column;
}


#products-section article div h3 {
    color: var(--enseigne_color);
    font-family: "Orator Std Medium", Arial;
    font-size: 1.5rem;
    font-weight: lighter;
    width: 90%;
    margin: 0 auto;
}

#products-section article div p {
    color: var(--paragraphe_color);
    font-family: Arial;
    font-size: 1rem;
    width: 90%;
    text-align: justify;
    margin: 0 auto;
}

#products-section article div a {
    text-decoration: none;
}

#products-section article div a div {
    color: var(--navbar_color);
    font-family: Arial;
    font-size: 1rem;
    width: 90%;
    text-align: center;
    margin: auto;
    width: fit-content;
    padding: 10px;
    background-color: var(--enseigne_color);
    border-radius: 10px;
    margin-top: 10px;
}

#products-section article div a div:hover {
    background-color: var(--button_background_color);
    transition-duration: 0.5s;
    color: var(--button_text_hover_color);
}

@media screen and (max-width: 480px) {
    #products-section article img {
        width: 100%;
        margin: auto;
    }

    #products-section article {
        flex-direction: column;
        margin: 0;
        margin-bottom: 50px;
        
    }

    #products-section article div{
        width: 80%;
        margin: auto;
    }

    #products-section article div h3 {
        text-align: center;
        font-size: 1.5rem;
        padding: 20px 0;
    }

    #products-section {
        width: 100%;
        margin: auto;
    }

    #products-section article div a div {
        font-size: 1rem;
        margin-top: 10px;
    }

    #products-section article div p{
        font-size: 1.1rem;
    }
}

/* *************************************************************************************************************
                                                    GALLERIE
************************************************************************************************************* */

#gallerie-section {
    background-color: var(--background_color_1);
    padding-bottom: 60px;
}

#gallerie-section article {
    display: grid;
    grid-template-columns: repeat(3, 300px);
    grid-gap: 20px;
    justify-content: center;
}

#gallerie-section article img {
    width: 300px;
}

#gallerie-section a div {
    color: var(--navbar_color);
    font-family: Arial;
    font-size: 1rem;
    width: 90%;
    text-align: center;
    margin: auto;
    width: fit-content;
    padding: 10px;
    background-color: var(--enseigne_color);
    border-radius: 10px;
    margin-top: 50px;
}

#gallerie-section a {
    text-decoration: none;
    width: fit-content;
}

#gallerie-section a div:hover {
    background-color: var(--button_background_color);
    transition-duration: 0.5s;
    color: var(--button_text_hover_color);
}

@media screen and (max-width: 480px) {

    #gallerie-section article img {
        width: 100%
    }

    #gallerie-section article {
        display: grid;
        grid-template-columns: repeat(2, auto);
        grid-gap: 20px;
        justify-content: center;
        margin: 40px 20px;
    }

    #gallerie-section  a div {
        font-size: 1rem;
        margin-top: 10px;
        padding:10px;
    }
}

/* *************************************************************************************************************
                                                    FOOTER
************************************************************************************************************* */

#footer{
    background-color: var(--footer_bacground_color);
}

#footer img{
    width:50px;
    margin: 10px;
}

#footer #enseigne_footer{
    width: 200px;
    margin: 20px auto;
}

#footer div {
    display: flex;   
    width: 50%; 
    margin: auto;  
}

#footer div div{
    flex-direction: column;
    width: 50%;
}

#footer div div div{
    flex-direction: row;
    justify-content: center;
}

#footer div div .menu_footer {
    text-decoration: none;
    color: var(--paragraphe_color);
    font-family: "Orator Std Medium",Arial;
    margin :10px;
    margin-left: 100px;
}

#footer h6{
    font-family: Arial;
    font-size: 1rem;
    color: var(--footer_text_color);
    text-align: center;
    padding-top: 20px;
    padding-bottom: 10px;
}

@media screen and (max-width: 480px) {
    #footer div {
        display: flex;   
        width: 100%; 
        margin: auto;
        flex-direction: column;  
    }

    #footer div div{ 
        width: 100%; 
    }

    #footer div div .menu_footer {
        margin-left: 0px;
        text-align: center;
    }
    
}
